.core-services h2 {
    text-align: center;
    font-size: var(--font-size-32);
    font-weight: 600;
    color: var(--color-black);
    line-height: normal;
    margin: 0 0 14px 0;
}

.core-services p {
    width: 650px;
    max-width: 100%;
    text-align: center;
    font-size: var(--font-size-16);
    font-weight: 400;
    line-height: normal;
    margin: 0 auto;
}

.core-services ul {
    margin: 40px 0 24px 0;
    padding: 0;
    list-style: none;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;
}

.core-services ul li a {
    position: relative;
    background-color: var(--color-white);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 40px 24px;
    border-radius: 16px;
    cursor: pointer;
    overflow: hidden;
    text-decoration: none;
    height: 100%;
}

.core-services ul li a .core-services-item-content {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-primary);
    padding: 24px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: all 0.3s ease;
    pointer-events: none;
}

.core-services ul li a:hover .core-services-item-content {
    opacity: 1;
    pointer-events: auto;
}

.core-services ul li a h3 {
    font-size: var(--font-size-20);
    font-weight: 300;
    text-align: center;
    color: var(--color-black);
    margin: 0;
}

.core-services ul li a p {
    width: auto;
    font-size: var(--font-size-16);
    font-weight: 500;
    text-align: center;
    color: var(--color-white);
    margin: 0;
}

.core-services ul li a i {
    font-size: 50px;
    color: var(--color-primary);
}

@media (max-width: 767px) {
    .core-services h2 {
        font-size: var(--font-size-24);
    }
    .core-services p {
        font-size: var(--font-size-14);
    }
    .core-services ul {
        grid-template-columns: repeat(2, 1fr);
    }
    .core-services ul li a {
        padding: 16px 14px;
    }
    .core-services ul li a i {
        font-size: 40px;
    }
    .core-services ul li a h3 {
        font-size: var(--font-size-16);
    }
    .core-services ul li a p {
        font-size: var(--font-size-14);
    }
    .core-services ul li a:hover .core-services-item-content {
        display: none;
    }
}

@media (min-width: 768px) and (max-width: 1023px) {
    .core-services h2 {
        text-align: center;
        font-size: var(--font-size-24);
    }
    .core-services p {
        text-align: center;
        font-size: var(--font-size-16);
    }
    .core-services ul {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 1024px) and (max-width: 1279px) {
    .core-services h2 {
        font-size: var(--font-size-24);
    }
    .core-services p {
        font-size: var(--font-size-16);
    }
    .core-services ul li a {
        padding: 24px 0;
    }
    .core-services ul li a i {
        font-size: 40px;
    }
    .core-services ul li a h3 {
        font-size: var(--font-size-16);
    }
    .core-services ul li a p {
        font-size: var(--font-size-14);
    }
}

@media (min-width: 1280px) and (max-width: 1365px) {
    
}

@media (min-width: 1366px) and (max-width: 1439px) {

}